﻿using System;
using System.Windows.Forms;

using TestClient.SimpleService;

namespace TestClient
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.callButton.Click += callButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 호출하기 버튼 클릭시 처리하기 - callButton_Click(sender, e)

        /// <summary>
        /// 호출하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void callButton_Click(object sender, EventArgs e)
        {
            using(SimpleServiceClient client = new SimpleServiceClient("NetTcpBinding_ISimpleService"))
            {
                string userName = client.GetUserName();

                MessageBox.Show(userName);
            }
        }

        #endregion
    }
}